:root {
    --primary-color: #EE4D2D;
    --primary-color-rgba:  rgb(238, 76, 44);
    --white-color: #fff;
    --black-color: #000;
    --text-color: #333;
    --boder-color: #dbdbdb;
    --navbar-height: 34px;
    --header-height: 120px;
    --header-with-search-height: calc(var(--header-height) - var(--navbar-height));
    --star-gold-color: #ffce3e;
}
* {
    box-sizing: inherit;
}
html {
    font-size: 62.5%;
    line-height: 1.6rem;
    font-family: 'Roboto', sans-serif;
    box-sizing: border-box;
}
/* Responsive */
.grid {
    width: 1200px;
    max-width: 100%;
    margin: 0 auto;
}
.grid__full-width  {
    width: 100%;
}
.grid__row {
    display: flex;
    flex-wrap: wrap;
    margin-left: -5px;
    margin-right: -5px;
}
/* test */
.grid__column-2 {
    padding-left: 5px;
    padding-right: 5px;
    width: 16.6667%;
}
.grid__column-2-4 {
    padding-left: 5px;
    padding-right: 5px;
    width: 20%;
}
.grid__column-10 {
    padding-left: 5px;
    padding-right: 5px;
    width: 83.3334%;
}
/* animation */
@keyframes faceIn {
    from {
        opacity: 0;
    } 
    to {
        opacity: 1;
    }
}
@keyframes growth {
    from {
        transform: scale(var(--growth-from));
    } 
    to {
        transform: scale(var(--growth-to));
        
    }
}
.modal {
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    display: flex;
}
.modal__overlay {
    position: absolute;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.4);
    z-index: 1;
    animation: fadeIn linear 0.1s;

}
.modal__body {
    margin: auto;
    position: relative;
    z-index: 3;
    animation: growth linear 0.1s;
    --growth-from: 0.7          ;
    --growth-to: 1;
}
/* button style */
.btn {
    min-width: 124px;
    height: 34px;
    text-decoration: none;
    border: none;
    border-radius: 2px;
    font-size: 1.5rem;
    padding: 0;
    outline: none;
    cursor: pointer;
    color: var(--text-color);
    display: inline-flex;
    justify-content: center;
    align-items: center;
    line-height: 1.6rem;
}
.btn.btn--normal:hover {
    background-color: rgba(0, 0, 0, 0.5);
}
.btn.btn--size-s {
    height: 32px;
    font-size: 1.2rem;
}
.btn.btn--primary {
    color: var(--white-color);
    background-color: var(--primary-color);
}
.btn.btn--disabled {
    cursor: default;
    color: #949494;
    background-color: #c3c3c3;
}
/* selection */
.select-input {
    position: relative;
    min-width: 200px;
    height: 34px;
    padding: 0 12px;
    border-radius: 2px;
    background-color: var(--white-color);
    display: flex;
    align-items: center;
    justify-content: space-between;
    z-index: 1;
}
.select-input:hover .select-input__list {
    display: block;
}
.select-input__label {
    font-size: 1.4rem;
}
.select-input__icon {
    font-size: 1.4rem;
    color: rgb(131, 131, 131);
    position: relative;
    top: 1px;
}
.select-input__list {
    position: absolute;
    left: 0;
    right: 0;
    top: 25px;
    border-radius: 2px;
    background-color: var(--white-color);
    list-style: none;
    padding: 8px 16px;
    display: none;
}
.select-input__link {
    font-size: 1.4rem;
    color: var(--text-color);
    text-decoration: none;
    padding: 4px 0;
    display: block;
}
.select-input__link:hover {
    color: var(--primary-color);
}
.pagination {
    display: flex;
    justify-content: center;
    align-items: center;
    list-style: none;
}
.pagination-item {
    margin: 0 12px;
}
.pagination-item__link {
    text-decoration: none;
    font-size: 2rem;
    color: #939393;
    min-width: 40px;
    height: 30px;
    display: block;
    text-align: center;
    line-height: 30px;
    border-radius: 2px;
    font-weight: 300;
}
.pagination-item--active .pagination-item__link {
    color: var(--white-color);
    background-color: var(--primary-color);
}
.pagination-item--active .pagination-item__link:hover {
    background-color: #ed5c3f;
}